<template>
  <div style="overflow: hidden">
    <coreHeader width="100%" height="10vh">
      <template #headerContent>
        <div class="add-member-group-header">
          <img
            src="/Images/tabs/arrow-right.svg"
            v-if="locale == 'fa'"
            alt="ion"
            @click="back"
          />
          <img
            src="/Images/tabs/arrow-left.svg"
            v-else
            alt="ion"
            @click="back"
          />
          <span class="header-title">
            {{ $t('tabs.message.createnewgroup') }}
          </span>
        </div>
      </template>
    </coreHeader>

    <div class="group-member-container" :dir="rtlDesginHandler ? 'rtl' : 'ltr'">
      <span v-if="groupMembersClientList.length === 0">
        {{ $t('tabs.message.selectmembergroup') }}
      </span>
      <groupMemberChip
        class="animation"
        v-for="member in groupMembersClientList"
        :name="member.name"
        :avatar="member.firstChar"
        :blob="member.blob"
        v-else
        style="margin: 5px"
      />
    </div>

    <div :dir="rtlDesginHandler ? 'rtl' : 'ltr'" class="contact-list-container">
      <ContactsList :list="contactsList" :hasSearch="false"></ContactsList>
    </div>

    <div dir="rtl">
      <ion-fab
        style="margin: 20px 10px"
        slot="fixed"
        vertical="bottom"
        horizontal="end"
        v-once
      >
        <ion-fab-button @click="openNewGroup" dir="rtl">
          <img src="/Images/tabs/arrow-left.svg" alt="icon" />
        </ion-fab-button>
      </ion-fab>
    </div>
  </div>
</template>

<script setup>
import { defineAsyncComponent } from 'vue';
import { useI18n } from 'vue-i18n';
import coreHeader from '@/components/desktop/coreHeader.vue';
import groupMemberChip from '@/components/message/groupMemberChip.vue';
import { useNestedModals } from '@/store/nestedModals/nestedModals.js';
import { IonFab, IonFabButton } from '@ionic/vue';
import { computed } from 'vue';
import { useContactsStore } from '@/store/contacts/contacts.js';
import { useOverallChatsStore } from '@/store/chats/overall.js';

const ContactsList = defineAsyncComponent(() =>
  import('@/components/message/contactList.vue'),
);

const overallChatsStore = useOverallChatsStore();
const nestedModals = useNestedModals();
const { locale } = useI18n();

let contactsList = computed(() => {
  const contactsStore = useContactsStore();
  return contactsStore.getListContactsForMessages;
});

const groupMembersClientList = computed(() => {
  return overallChatsStore.groupMembersClient;
});

const back = () => {
  overallChatsStore.clearGroupMembersClient();
  nestedModals.closeAddMemberGroup();
  nestedModals.closeMessageDeatailModal();
};

const openNewGroup = async () => {
  nestedModals.addMemberToGroupNavigateToNewGroup();
};

const rtlDesginHandler = computed(() => {
  {
    if (locale.value == 'fa') {
      return true;
    } else {
      return false;
    }
  }
});
</script>

<style scoped>
.contacts-container {
  height: 20vh;
}
.add-member-group-header {
  height: 68px;
  display: flex;
  align-items: center;
  padding: 0 15px;
}
.contact-list-container {
  height: 80vh;
  overflow-y: scroll;
  padding: 0px 15px;
}
.header-content {
  display: flex;
  align-items: center;
}
.group-member-container {
  width: 100%;
  max-height: 200px;
  overflow-x: scroll;
  display: flex;
  flex-wrap: wrap;
  padding: 15px 15px;
  border-bottom: 1px solid #d3d3d3;
}
.group-member-container span {
  color: #888888;
  font-size: 12px;
  font-style: normal;
  font-weight: 600;
  line-height: normal;
}

ion-toolbar {
  --min-height: 10vh;
  --max-height: 95px;
}
.toolbar-title {
  font-size: 32px;
}

.header-title {
  color: #fff;
  font-size: 25px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
  padding: 0 10px;
}

.item {
  display: flex;
  margin-top: 10px;
}
.item span {
  font-size: 20px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
  padding: 0 12px;
}

.animation {
  animation: 0.8s animation;
}

@keyframes animation {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
</style>
